// ********************************************************************
// This is a part of the PDF Xpansion SDK 13.
// Copyright (C) 2002-2018 soft Xpansion
// All rights reserved.
//
// This source code is only intended as a supplement to the PDF Xpansion SDK 
// and related electronic documentation provided with the libraries.
// ********************************************************************

#pragma once
#include "basic.h"

namespace SX
{
	namespace U3D { interface IScene; }

	namespace Media3D
	{
		//////////////////////////////////////////////////////////////////////////
		interface IScene : public IRefObject
		{
		};

		//////////////////////////////////////////////////////////////////////////
		interface IView : public IRefObject
		{
			virtual IScene* get_Scene() const = 0;
			virtual void set_Scene(IScene* pStream) = 0;
		};

		//////////////////////////////////////////////////////////////////////////
		interface I3D
		{
			virtual U3D::IScene* CreateU3DScene(ISequentialStream* pStream) const = 0;
			virtual IView* CreateView() const = 0;
		};
	}

	namespace U3D
	{
		interface IScene : public Media3D::IScene
		{
		};
	}
}