// CCAddOutlineDlg.cpp : Implementation of CCAddOutlineDlg

#include "stdafx.h"
#include "AddOutlineDlg.h"


// CCAddOutlineDlg

//////////////////////////////////////////////////////////////////////////
const CString CCAddOutlineDlg::get_Title()
{
	return m_sTitle;
}

//////////////////////////////////////////////////////////////////////////
const SX::sx_uint CCAddOutlineDlg::get_PageNum()
{
	return _wtoi(m_sPageNum) - 1;
}

//////////////////////////////////////////////////////////////////////////
SX::sx_bool CCAddOutlineDlg::checkValues()
{
	if (m_sTitle.GetLength() == 0)
	{
		MessageBox(L"Title cannot be empty!");
		return false;
	}

	if (m_sPageNum.GetLength() == 0)
	{
		MessageBox(L"Page number cannot be empty!");
		return false;
	}

	SX::sx_uint uPageNum = _wtoi(m_sPageNum) - 1;
	if (uPageNum >= m_uPageCount || uPageNum < 0)
	{
		MessageBox(L"Page number should be less than page count and greater than zero!");
		return false;
	}

	return true;
}

//////////////////////////////////////////////////////////////////////////
LRESULT CCAddOutlineDlg::OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
{
	CAxDialogImpl<CCAddOutlineDlg>::OnInitDialog(uMsg, wParam, lParam, bHandled);
	bHandled = TRUE;
	return 1;  // Let the system set the focus
}

//////////////////////////////////////////////////////////////////////////
LRESULT CCAddOutlineDlg::OnClickedOK(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
{
	GetDlgItemText(IDC_TITLE, m_sTitle);
	GetDlgItemText(IDC_PAGE_NUM, m_sPageNum);
	if (checkValues())
		EndDialog(wID);
	return 0;
}

//////////////////////////////////////////////////////////////////////////
LRESULT CCAddOutlineDlg::OnClickedCancel(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
{
	EndDialog(wID);
	return 0;
}