// PDF Xpansion Reader.cpp : Implementation of WinMain
#include "stdafx.h"
#include "resource.h"
#include "PDF Xpansion\SDK.h"
#include "MainFrame.h"

namespace Sample
{
	class CPDFXpansionReaderModule : public ATL::CAtlExeModuleT< CPDFXpansionReaderModule >
	{
	public :
		CPDFXpansionReaderModule();
		~CPDFXpansionReaderModule();
		HRESULT PreMessageLoop(_In_ int nShowCmd) throw();
	private:
		// members
		CPDFXpansionSDK m_PDFXpansion;
	};

	CPDFXpansionReaderModule::CPDFXpansionReaderModule() { }

	CPDFXpansionReaderModule::~CPDFXpansionReaderModule() { }

	HRESULT CPDFXpansionReaderModule::PreMessageLoop(_In_ int nShowCmd)
	{
		CMainFrame* pFrame = new CMainFrame(&m_PDFXpansion);
		m_PDFXpansion.Init(pFrame);
		if(!pFrame->CreateFrame(nShowCmd)) { delete pFrame; return E_FAIL; }
		return __super::PreMessageLoop(nShowCmd);
	}

	CPDFXpansionReaderModule _AtlModule;

	extern "C" int WINAPI _tWinMain(HINSTANCE /*hInstance*/, HINSTANCE /*hPrevInstance*/, LPTSTR /*lpCmdLine*/, int nShowCmd)
	{
		return _AtlModule.WinMain(nShowCmd);
	}
};


