// CPasswordDlg.h : Declaration of the CCPasswordDlg

#pragma once

#include "resource.h"       // main symbols

#include <atlhost.h>

using namespace ATL;

// CCPasswordDlg

class CCPasswordDlg : 
	public CAxDialogImpl<CCPasswordDlg>
{
public:
	CCPasswordDlg()
	{
	}

	~CCPasswordDlg()
	{
	}

	const CString &GetPasswordString() const;

	enum { IDD = IDD_DIALOG_PASSWORD };

	BEGIN_MSG_MAP(CCPasswordDlg)
		MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
		COMMAND_HANDLER(IDOK, BN_CLICKED, OnClickedOK)
		COMMAND_HANDLER(IDCANCEL, BN_CLICKED, OnClickedCancel)
		CHAIN_MSG_MAP(CAxDialogImpl<CCPasswordDlg>)
	END_MSG_MAP()

protected:
	LRESULT OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
	LRESULT OnClickedOK(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
	LRESULT OnClickedCancel(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);

	CString m_sPassw;
};


