// ********************************************************************
// This is a part of the PDF Xpansion SDK 13.
// Copyright (C) 2002-2018 soft Xpansion
// All rights reserved.
//
// This source code is only intended as a supplement to the PDF Xpansion SDK 
// and related electronic documentation provided with the libraries.
// ********************************************************************
#pragma once
#include "../basic.h"
namespace SX
{
	namespace XPS
	{
		interface INamedDests
		{
			//////////////////////////////////////////////////////////////////////////
			// properties
			virtual sx_uint get_Count() const = 0;

			//////////////////////////////////////////////////////////////////////////
			// methods
			virtual IStr* GetName(sx_uint uIndex) const = 0;
			virtual sx_uint GetDestPage(sx_str sName) const = 0;
			virtual sx_uint GetDestPoint(sx_str sName, sx_point &p) const = 0;
			virtual void SetDest(sx_str sName, sx_uint page, const sx_point &p) = 0;
			virtual void Remove(sx_str sName) = 0;
		};
	} // namespace XPS
} // namespace SX
