// CPasswordDlg.h : Declaration of the CCPasswordDlg

#pragma once

#include "resource.h"       // main symbols

#include <atlhost.h>

using namespace ATL;

// CCPasswordDlg

class CCAddOutlineDlg : 
	public CAxDialogImpl<CCAddOutlineDlg>
{
public:
	CCAddOutlineDlg(SX::sx_uint uPageCount) : m_uPageCount(uPageCount)
	{
	}

	~CCAddOutlineDlg()
	{
	}

	const CString get_Title();
	const SX::sx_uint get_PageNum();
	SX::sx_bool checkValues();
	SX::sx_uint m_uPageCount;

	enum { IDD = IDD_ADD_NEW_OUTLINE_DIALOG };

	BEGIN_MSG_MAP(CCAddOutlineDlg)
		MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
		COMMAND_HANDLER(IDOK, BN_CLICKED, OnClickedOK)
		COMMAND_HANDLER(IDCANCEL, BN_CLICKED, OnClickedCancel)
		CHAIN_MSG_MAP(CAxDialogImpl<CCAddOutlineDlg>)
	END_MSG_MAP()

protected:
	LRESULT OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
	LRESULT OnClickedOK(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
	LRESULT OnClickedCancel(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);

	CString m_sTitle;
	CString m_sPageNum;
};


