// CPasswordDlg.h : Declaration of the CCPasswordDlg

#pragma once

#include "resource.h"       // main symbols

#include <atlhost.h>

using namespace ATL;

// CCPasswordDlg

class CCPasswordDlg : 
	public CAxDialogImpl<CCPasswordDlg>
{
public:
	CCPasswordDlg()
	{
	}

	~CCPasswordDlg()
	{
	}

	const CString &GetPasswordString() const;

	enum { IDD = IDD_DIALOG_PASSWORD };

	BEGIN_MSG_MAP(CCPasswordDlg)
		MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
		COMMAND_HANDLER(IDOK, BN_CLICKED, OnClickedOK)
		COMMAND_HANDLER(IDCANCEL, BN_CLICKED, OnClickedCancel)
		CHAIN_MSG_MAP(CAxDialogImpl<CCPasswordDlg>)
	END_MSG_MAP()

protected:
	CString m_sPassw;


	LRESULT OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled)
	{
		CAxDialogImpl<CCPasswordDlg>::OnInitDialog(uMsg, wParam, lParam, bHandled);
		bHandled = TRUE;
		return 1;  // Let the system set the focus
	}

	LRESULT OnClickedOK(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
	{
		
		GetDlgItemText(IDC_EDIT_PASSWORD2, m_sPassw);
		EndDialog(wID);
		return 0;
	}

	LRESULT OnClickedCancel(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
	{
		EndDialog(wID);
		return 0;
	}
};


